package com.mortals.xhx.module.perform.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.vo.PerformAttendAppealFilesVo;
import lombok.Data;
/**
* 绩效记录申诉附件信息实体对象
*
* @author zxfei
* @date 2023-07-05
*/
@Data
public class PerformAttendAppealFilesEntity extends PerformAttendAppealFilesVo {
    private static final long serialVersionUID = 1L;

    /**
    * 申诉Id
    */
    private Long appealId;
    /**
    * 文件名称
    */
    private String fileName;
    /**
    * 文件地址
    */
    private String filePath;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PerformAttendAppealFilesEntity) {
            PerformAttendAppealFilesEntity tmp = (PerformAttendAppealFilesEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.appealId = -1L;

            this.fileName = "";

            this.filePath = "";
    }
}
